## xfonts-wqy 0.9.9

=== Makefile ===
#############################################
# WenQuanYi Bitmap Font Makefile
#
# by Qianqian Fang (fangqq<at>gmail<dot>com)
# 2006/12/13
#############################################
.PHONEY:all clean cjk cjk0 cjka ko ja hangul latin0 cjkl wqyv08 wqyv1 zenhei

B2P=bdftopcf
SLICE=./bdfmerge.pl  # the shebang line of this script may need adjustment
CJKBASIC=0x201C--0x201C 0x02C7--0x02C9 0x4E00--0x9FA5
CJKEXTA	=0x3400--0x4DB5
CJK1=0x2460--0x24EA 0x2500--0x25EF 0x2605--0x2606 0x2605--0x2606 0x262F--0x2637
CJK2=0x2FF0--0x2FFB 0x3001--0x3020 0x3021--0x3029 0x3105--0x312C 0x3192--0x319F
CJK3=0x31A0--0x31B7 0x3200--0x32FE 0x3300--0x33FE 0xF900--0xFA6A 0xFF01--0xFFFF
NUMBERS=0x0030--0x0039
LATINBASIC=0x0041--0x005A 0x0061--0x007A
LATINPUNC=0x0061--0x007A 0x005B--0x0060 0x007B--0x007E
KOBASIC=0x1100--0x11FF 0x3131--0x318E 0x3200--0x32FE
JABASIC=0x3041--0x3094 0x30A1--0x30FF 0x3200--0x32FE 0x3300--0x33FE
HANGUL=0xAC00--0xD7FF
NOEXTLATIN=-0x00E0--0x0233

FULLRANGE=0x0--0xFFFF
WQYV08=$(FULLRANGE) $(NOEXTLATIN)
WQYV1=$(WQYV08) $(CJKEXTA) -$(HANGUL)
ZENHEI=$(WQYV08) -$(HANGUL)

CJKALL=$(CJKBASIC) $(CJKEXTA) $(CJK1) $(CJK2) $(CJK3) $(KOBASIC) $(JABASIC)
LATINALL=$(NUMBERS) $(LATINBASIC) $(LATINPUNC)
RANGE=$(FULLRANGE)   # default range

all_bitmap := 9pt 9ptb 10pt 10ptb 11pt 11ptb 12pt 12ptb
all_range  := $(all_bitmap:%=wenquanyi_%)
all_bdf    := $(all_range:%=%.bdf)
all_pcf    := $(all_range:%=%.pcf)

%.pcf: %.bdf
	$(SLICE) $(RANGE) $*.bdf > $*_cjk.bdf
	$(B2P) $*_cjk.bdf > $*.pcf

all: b2p $(all_pcf)
cjk:  RANGE=$(CJKALL)
cjk0: RANGE=$(CJKBASIC)
cjka: RANGE=$(CJKEXTA)
ko:   RANGE=$(KOBASIC)
ja:   RANGE=$(JABASIC)
hangul: RANGE=$(HANGUL)
latin0: RANGE=$(LATINALL)
cjkl:   RANGE=$(CJKALL) $(LATINALL)
wqyv08: RANGE=$(WQYV08)
wqyv1: RANGE=$(WQYV1)
zenhei: RANGE=$(ZENHEI)

cjk cjk0 cjka ko ja hangul latin0 cjkl wqyv08 wqyv1 zenhei: $(all_pcf)

clean:
	-rm -f $(all_pcf) $(all_range:%=%_cjk.bdf)
b2p:
	@if [ -z `which ${B2P}` ]; then echo "Please install bdftopcf to build pcf fonts."; exit 1; fi

=== debian/changelog ===
xfonts-wqy (0.9.9-8) unstable; urgency=medium

  * Team upload.
  * debian/po
    - add Brazilian Portuguese Translation (Closes: #671739)
      Thanks to José dos Santos Júnior <dgjunior4@hotmail.com>
  * debian/preinst
    - fix /etc/X11/fonts/misc/xfonts-wqy.alias issue not fully fixed in 
      0.9.9-7 (Closes: #734263)
  * debian/postinst
    - remove bogus backup directory genreated by above preinst
  * debian/control
    - add Pre-Depends: dpkg to support dpkg-maintscript-helper in preinst
    - set Standards-Version: 3.9.5

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Jan 2014 02:35:06 +0900

xfonts-wqy (0.9.9-7) unstable; urgency=low

  * Drop removed conffile handling from preinst
  * Drop wrongly placed fonts.alias file introduced in 0.9.9-5
    Closes: #722299

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Sep 2013 22:21:10 +0200

xfonts-wqy (0.9.9-6) unstable; urgency=low

  * Use dh_install properly to install the fonts.alias file
    Rename the file after it is installed. Closes: #722299
  * Rebuild the original tarball with xz compression to save
    (a lot of) space
  * Use xz extreme compression for deb packages
  * Use git for packaging: adapt Vcs-* fields
  * Bump debhelper compatibility to 9
  * Update Standards to 3.9.4

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Sep 2013 19:15:31 +0200

xfonts-wqy (0.9.9-5) unstable; urgency=low

  * Adopt package in the pkg-fonts team. Closes: #476130
  * Use quilt for patches
  * Bump debhelper compatibility to 8
  * Use dh7-style minimal rules file
  * Updates Standards to 3.9.2 (checked)
  * Fix ascent and descent. Thanks to Lingzhu Xiang for
    the patch. Closes: #657295

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Jan 2012 14:21:56 +0100

xfonts-wqy (0.9.9-4) unstable; urgency=low

  * QA upload
  * Set Debian QA Group as maintainer
  * Package modernization:
    - Change section to fonts
    - Add build-arch and build-indep build targets
    - Use 3.0 source format
  * Debconf translations:
    - Danish (Joe Hansen).  Closes: #628215

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Dec 2011 20:30:46 +0100

xfonts-wqy (0.9.9-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Anthony Fok moved to Maintainer: with his agreement
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #515879
    - Traditional Chinese (Andrew Lee).  Closes: #526255

 -- Christian Perrier <bubulle@debian.org>  Tue, 06 Oct 2009 22:31:04 +0200

xfonts-wqy (0.9.9-3.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Galician. Closes: #481747
    - Russian. Closes: #494454
    - Spanish. Closes: #494459
    - Japanese. Closes: #495230
    - Finnish. Closes: #495276

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Aug 2008 11:26:13 -0300

xfonts-wqy (0.9.9-3) unstable; urgency=low
	
  [ Deng Xiyue <manphiz-guest@users.alioth.debian.org> ]
  * Move old conffile handling from postinst script to preinst script.
    Also check if the conffile is locally modified.  If it is, back it up
    and tell the user to review the local changes and add it to the new
    conffile instead of just delete it. Thanks Ming Hua. (Closes: #457423)
  * Add watch file.
  * Modify upstream conffile by stripping the force priority part to meet
    debconf question. (Closes: #456376)
  * Use upstream alias file, remove debian/xfonts-wqy.alias.

  [ Cai Qian <caiqian@debian.org> ]
  * New maintainer.
  * debian/patch/conf.patch:
    - deal with #456376.
  * README, AUTHOR:
    - keeped them as upstream. Have no idea why it has been modified
      before.

 -- Cai Qian <caiqian@debian.org>  Sun, 11 Feb 2008 00:27:00 +0800	

xfonts-wqy (0.9.9-2) unstable; urgency=low

  * Brown paper bag bug; rename /etc/fonts/conf.avail/85-xfonts-wqy.alias
    to /etc/fonts/conf.avail/85-xfonts-wqy.conf
  * debian/config, debian/postinst:
    - Deal with the transition from 70-debconf-wqy.conf to 85-xfonts-wqy.conf
    - Clean up the old wqy.conf and the erroneous 85-xfonts-wqy.alias
  * debian/po/it.po:
    - Added a final newline to suppress warning during package build.

 -- Anthony Fok <foka@debian.org>  Wed, 12 Dec 2007 07:08:54 +0800

xfonts-wqy (0.9.9-1) unstable; urgency=low

  [ Deng Xiyue <manphiz@gmail.com> ]
  * New upstream release (Closes: #429901)
  * debian/rules:
    - Don't compress fonts, for better performance (Closes: #384149)

  [ Kov Chai <tchaikov@gmail.com> ]
  * debian/rules:
    - drop fontconvert.sh
    - use upstream's Makefile
  * debian/copyright:
    - update copyright holder
  * Debconf templates translations:
    - German added. Closes: #408862
    - Portuguese added. Closes: #426454
    - Italian added. Closes: #427207

  [ Anthony Fok ]
  * Since Carlos is MIA, I am adding myself as an uploader in order to
    incorporate FangQ, manphiz and tchaikov's great work into Debian and
    beyond.  :-)
  * debian/control:
    - Standards-Version: 3.7.3
    - Extended package description based on FangQ's own words (with some
      revisions.)
    - Use the new Homepage field.
  * debian/copyright:
    - Refers to /usr/share/common-licenses/GPL-2 specifically
      because now "GPL" symlinks to "GPL-3".
    - Noted "GPL version 2 only" and "font embedding exception".
      Thanks to Ming Hua for reminder!

 -- Anthony Fok <foka@debian.org>  Wed, 12 Dec 2007 05:35:43 +0800

xfonts-wqy (0.7.0-6-1.2) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf templates translations:
    - Swedish added. Closes: #387511
    - French added. Closes: #378503
    - Czech added. Closes: #382929
    - Dutch added. Closes: #382941

 -- Christian Perrier <bubulle@debian.org>  Thu, 18 Jan 2007 20:38:41 +0100

xfonts-wqy (0.7.0-6-1.1) unstable; urgency=low

  * NMU
  * Build against new version of debhelper (Closes: #378007)

 -- Cai Qian <caiqian@debian.org>  Sat, 17 Jul 2006 22:13:50 +0100



=== debian/control ===
Source: xfonts-wqy
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), po-debconf, xfonts-utils
Standards-Version: 3.9.5
Homepage: http://wqy.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/xfonts-wqy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/xfonts-wqy.git;a=summary

Package: xfonts-wqy
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}
Suggests: xfs | xserver
Description: WenQuanYi Bitmap Song CJK font for X
 The Wen Quan Yi bitmap font is a manually fine-tuned multi-strike
 bitmap font for on-screen display of Chinese (traditional and simplified).
 It has arguably the most complete coverage for Chinese characters among
 all known open-source bitmap fonts, including CJK Unified Ideograph
 (U4E00 - U9FA5) and CJK Unified Ideograph Extension A (U3400 - U4DB5)
 glyphs at four different sizes (9pt-12x12 pixel, 10pt-13x13 pixel,
 11pt-15x15 pixel, 12pt-16x16 pixel) and two weights (medium and bold).
 .
 Use of this font in web pages and elsewhere eliminates the annoying
 "blurring" problems caused by the high stroke density of many Chinese
 characters and insufficient "hinting" of anti-aliased Chinese fonts. 
 .
 This font also provides bitmap glyphs for Basic Latin,
 Japanese Hiragana (U3040 - U309F) and Katakana (U30A0 - U30FF).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

override_dh_compress:
	dh_compress -Xpcf
	
override_dh_install:
	dh_install
	mv $(CURDIR)/debian/xfonts-wqy/etc/X11/fonts/misc/fonts.alias $(CURDIR)/debian/xfonts-wqy/etc/X11/fonts/misc/xfonts-wqy.alias

=== debian/watch ===
version=3
http://sf.net/wqy/wqy-bitmapfont-bdf-gb18030-(.*)\.tar\.gz

## xfonts-wqy 1.0.0~rc1

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,13 @@
 # by Qianqian Fang (fangqq<at>gmail<dot>com)
 # 2006/12/13
 #############################################
-.PHONEY:all clean cjk cjk0 cjka ko ja hangul latin0 cjkl wqyv08 wqyv1 zenhei
+.PHONEY:all clean cjk cjk0 cjka ko ja hangul latin0 cjkl wqyv08 wqyv1 zenhei ttf
 
 B2P=bdftopcf
+FONTFORGE=fontforge
+
 SLICE=./bdfmerge.pl  # the shebang line of this script may need adjustment
-CJKBASIC=0x201C--0x201C 0x02C7--0x02C9 0x4E00--0x9FA5
+CJKBASIC=0x201C--0x201C 0x02C7--0x02C9 0x4E00--0x9FCB
 CJKEXTA	=0x3400--0x4DB5
 CJK1=0x2460--0x24EA 0x2500--0x25EF 0x2605--0x2606 0x2605--0x2606 0x262F--0x2637
 CJK2=0x2FF0--0x2FFB 0x3001--0x3020 0x3021--0x3029 0x3105--0x312C 0x3192--0x319F
@@ -30,7 +32,8 @@
 LATINALL=$(NUMBERS) $(LATINBASIC) $(LATINPUNC)
 RANGE=$(FULLRANGE)   # default range
 
-all_bitmap := 9pt 9ptb 10pt 10ptb 11pt 11ptb 12pt 12ptb
+#all_bitmap := 9pt 9ptb 10pt 10ptb 11pt 11ptb 12pt 12ptb
+all_bitmap := 9pt 10pt 11pt 12pt 13px
 all_range  := $(all_bitmap:%=wenquanyi_%)
 all_bdf    := $(all_range:%=%.bdf)
 all_pcf    := $(all_range:%=%.pcf)
@@ -58,3 +61,5 @@
 	-rm -f $(all_pcf) $(all_range:%=%_cjk.bdf)
 b2p:
 	@if [ -z `which ${B2P}` ]; then echo "Please install bdftopcf to build pcf fonts."; exit 1; fi
+ttf: wqyv1
+	$(FONTFORGE) -script wqy-bsong-ttf.fe

=== debian/changelog ===
xfonts-wqy (1.0.0~rc1-6) unstable; urgency=medium

  * Remove configure files correctly when purge (Closes: #858959).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 29 Mar 2017 11:11:38 +0800

xfonts-wqy (1.0.0~rc1-5) unstable; urgency=medium

  * Fix wrong config file symlink (Closes: #858471).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 23 Mar 2017 09:25:56 +0800

xfonts-wqy (1.0.0~rc1-4) unstable; urgency=medium

  * Rename /etc/fonts/conf.avail/85-xfonts-wqy.conf to fix wrongly placed
    config file without removing it unconditional.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 20 Jan 2017 11:52:21 +0800

xfonts-wqy (1.0.0~rc1-3) unstable; urgency=medium

  * Rename /etc/X11/fonts/misc/xfonts-wqy.alias to fix wrongly placed
    fonts.alias file (Closes: #737167).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 18 Jan 2017 23:44:24 +0800

xfonts-wqy (1.0.0~rc1-2) unstable; urgency=medium

  * Fix missing @ in bdfmerge.pl (Closes: #808850).
    Thanks to Paul Hardy, Matt Kraai.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 02 Jan 2017 02:03:42 +0800

xfonts-wqy (1.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6.
  * Use copyright-format 1.0.
  * Fix wrong configuration file.
  * Update watch.
  * Remove patches.
  * Add ChangZhuo Chen as Uploaders.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 22 Nov 2015 21:56:25 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Section: fonts
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 9), po-debconf, xfonts-utils
-Standards-Version: 3.9.5
+Uploaders: Christian Perrier <bubulle@debian.org>,
+           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+Build-Depends: debhelper (>= 9),
+               dh-exec,
+               po-debconf,
+               xfonts-utils
+Standards-Version: 3.9.8
 Homepage: http://wqy.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-fonts/xfonts-wqy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/xfonts-wqy.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/xfonts-wqy.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/xfonts-wqy.git/
 
 Package: xfonts-wqy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Zxz -Sextreme -z9

override_dh_compress:
	dh_compress -Xpcf

=== debian/watch ===
version=3
http://sf.net/wqy/wqy-bitmapsong-(.*)\.tar\.gz
